Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class AlignType

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.MarkupElement
                  |
                  +--weblogic.html.AlignType

public class AlignType
extends MarkupElement

The AlignType class contains variables for setting alignment of HtmlElements.

An AlignType object is used as an argument to the various setAlign() and setVAlign() methods in the ImageElement, InputElement, TableCaptionElement, TableDataElement, TableRowElement, ColGroupElement, and DivElement classes. Default alignment depends on the object.

Use TextAlignType to align text in a container.

Author:
  Copyright (c) 1995-97 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `TextAlignType`, `InputElement.setAlign(weblogic.html.AlignType)`, `TableCaptionElement.setAlign(weblogic.html.AlignType)`, `TableDataElement.setAlign(weblogic.html.AlignType)`, `TableRowElement.setAlign(weblogic.html.AlignType)`, `ColGroupElement.setAlign(weblogic.html.AlignType)`, `HorizontalRuleElement.setAlign(weblogic.html.AlignType)`

Field Summary
`static AlignType` | `absbottom` Deprecated. Aligns element at the horizontal and vertical bottom of a container.
`static AlignType` | `absmiddle` Deprecated. Aligns vertical middle of an element with the middle of the current line.
`static AlignType` | `baseline` Deprecated. Aligns element with the baseline of a line of text.
`static AlignType` | `bottom` Deprecated. Aligns element at the vertical bottom.
`static AlignType` | `center` Deprecated. Centers element horizontally.
`static AlignType` | `left` Deprecated. Aligns element along the left margin.
`static AlignType` | `middle` Deprecated. Aligns baseline of current line with the element.
`static AlignType` | `right` Deprecated. Aligns element along the right margin.
`static AlignType` | `texttop` Deprecated. Aligns element with the top of a line of text.
`static AlignType` | `top` Deprecated. Aligns element at the vertical top.

Fields inherited from class weblogic.html.MarkupElement
`BeginAddress, BeginAddressStr, BeginBlockquote, BeginBlockquoteStr, BeginBody, BeginBodyStr, BeginBold, BeginBoldStr, BeginCenter, BeginCenterStr, BeginComment, BeginCommentStr, BeginDiv, BeginDivStr, BeginHeadStr, BeginHtml, BeginHtmlStr, BeginItalic, BeginItalicStr, BeginLiteral, BeginLiteralStr, BeginParagraph, BeginParagraphStr, BeginScriptStr, BeginTitle, BeginTitleStr, Break, BreakStr, contents, CR, CRStr, EndAddress, EndAddressStr, EndBlockquote, EndBlockquoteStr, EndBody, EndBodyStr, EndBold, EndBoldStr, EndCenter, EndCenterStr, EndComment, EndCommentStr, EndDiv, EndDivStr, EndFont, EndFontStr, EndHeadStr, EndHtml, EndHtmlStr, EndItalic, EndItalicStr, EndLiteral, EndLiteralStr, EndParagraph, EndParagraphStr, EndScriptStr, EndTitle, EndTitleStr, HorizontalLine, HorizontalLineStr, HorizontalRule, NoBreak, NoBreakStr, WordBreak, WordBreakStr`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`AlignType(java.lang.String str)` Deprecated. Constructor.

Methods inherited from class weblogic.html.MarkupElement
`BeginFont, BeginFontFace, BeginFontSize, BeginHeader, EndHeader, output, output, output, setContents`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString, widthAsLiteral`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### absbottom

    public static AlignType absbottom

  Deprecated.
  Aligns element at the horizontal and vertical bottom of a container.

### absmiddle

    public static AlignType absmiddle

  Deprecated.
  Aligns vertical middle of an element with the middle of the current line.

### baseline

    public static AlignType baseline

  Deprecated.
  Aligns element with the baseline of a line of text. Use the baseline variable to ensure that text in different cells on the same row of a table is aligned on the same baseline regardless of fonts. It only applies when the cells contain a single line of text.

### bottom

    public static AlignType bottom

  Deprecated.
  Aligns element at the vertical bottom.

### center

    public static AlignType center

  Deprecated.
  Centers element horizontally.

### left

    public static AlignType left

  Deprecated.
  Aligns element along the left margin. Applied to an image, this value creates a floating image, where subsequent text flows to the right around the image.

### middle

    public static AlignType middle

  Deprecated.
  Aligns baseline of current line with the element.

### right

    public static AlignType right

  Deprecated.
  Aligns element along the right margin. Applied to an image, this value creates a floating image, where subsequent text flows to the left around the image.

### texttop

    public static AlignType texttop

  Deprecated.
  Aligns element with the top of a line of text.

### top

    public static AlignType top

  Deprecated.
  Aligns element at the vertical top.

Constructor Detail

### AlignType

    public AlignType(java.lang.String str)

  Deprecated.
  Constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD